/// <reference types="vitest" />

import { defineConfig } from "vite";
import path from "path";
import dts from "vite-plugin-dts";
import external from "rollup-plugin-peer-deps-external";

export default defineConfig({
    plugins: [dts()],
    resolve: {
        alias: {
            "@": path.resolve(__dirname, "./src"),
        },
    },
    build: {
        rollupOptions: {
            plugins: [external()],
        },
        lib: {
            entry: [
                "src/easings/easings.ts",
                "src/unom-style.ts",
            ],
            formats: ["es"],
            name: "unomStyle",
        },
    },
    test: {},
});
